"""empty message

Revision ID: 5a9efe997534
Revises: 6fd0a839db55
Create Date: 2019-11-21 13:36:50.551138

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import postgresql

# revision identifiers, used by Alembic.
revision = '5a9efe997534'
down_revision = '6fd0a839db55'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('vectors', sa.Column('coords', sa.ARRAY(sa.Float()), nullable=True))
    op.create_index(op.f('ix_vectors_coords'), 'vectors', ['coords'], unique=False)
    op.create_index(op.f('ix_vectors_status'), 'vectors', ['status'], unique=False)
    op.drop_column('vectors', 'c301')
    op.drop_column('vectors', 'c457')
    op.drop_column('vectors', 'c363')
    op.drop_column('vectors', 'c3')
    op.drop_column('vectors', 'c383')
    op.drop_column('vectors', 'c266')
    op.drop_column('vectors', 'c6')
    op.drop_column('vectors', 'c59')
    op.drop_column('vectors', 'c69')
    op.drop_column('vectors', 'c124')
    op.drop_column('vectors', 'c417')
    op.drop_column('vectors', 'c100')
    op.drop_column('vectors', 'c259')
    op.drop_column('vectors', 'c491')
    op.drop_column('vectors', 'c123')
    op.drop_column('vectors', 'c348')
    op.drop_column('vectors', 'c446')
    op.drop_column('vectors', 'c227')
    op.drop_column('vectors', 'c319')
    op.drop_column('vectors', 'c510')
    op.drop_column('vectors', 'c495')
    op.drop_column('vectors', 'c79')
    op.drop_column('vectors', 'c223')
    op.drop_column('vectors', 'c380')
    op.drop_column('vectors', 'c4')
    op.drop_column('vectors', 'c385')
    op.drop_column('vectors', 'c199')
    op.drop_column('vectors', 'c177')
    op.drop_column('vectors', 'c115')
    op.drop_column('vectors', 'c375')
    op.drop_column('vectors', 'c196')
    op.drop_column('vectors', 'c242')
    op.drop_column('vectors', 'c53')
    op.drop_column('vectors', 'c295')
    op.drop_column('vectors', 'c328')
    op.drop_column('vectors', 'c347')
    op.drop_column('vectors', 'c142')
    op.drop_column('vectors', 'c390')
    op.drop_column('vectors', 'c434')
    op.drop_column('vectors', 'c247')
    op.drop_column('vectors', 'c149')
    op.drop_column('vectors', 'c468')
    op.drop_column('vectors', 'c335')
    op.drop_column('vectors', 'c120')
    op.drop_column('vectors', 'c256')
    op.drop_column('vectors', 'c331')
    op.drop_column('vectors', 'c121')
    op.drop_column('vectors', 'c441')
    op.drop_column('vectors', 'c222')
    op.drop_column('vectors', 'c336')
    op.drop_column('vectors', 'c402')
    op.drop_column('vectors', 'c95')
    op.drop_column('vectors', 'c229')
    op.drop_column('vectors', 'c409')
    op.drop_column('vectors', 'c415')
    op.drop_column('vectors', 'c494')
    op.drop_column('vectors', 'c280')
    op.drop_column('vectors', 'c327')
    op.drop_column('vectors', 'c42')
    op.drop_column('vectors', 'c273')
    op.drop_column('vectors', 'c136')
    op.drop_column('vectors', 'c454')
    op.drop_column('vectors', 'c261')
    op.drop_column('vectors', 'c344')
    op.drop_column('vectors', 'c62')
    op.drop_column('vectors', 'c298')
    op.drop_column('vectors', 'c29')
    op.drop_column('vectors', 'c339')
    op.drop_column('vectors', 'c20')
    op.drop_column('vectors', 'c507')
    op.drop_column('vectors', 'c501')
    op.drop_column('vectors', 'c43')
    op.drop_column('vectors', 'c185')
    op.drop_column('vectors', 'c139')
    op.drop_column('vectors', 'c459')
    op.drop_column('vectors', 'c477')
    op.drop_column('vectors', 'c438')
    op.drop_column('vectors', 'c158')
    op.drop_column('vectors', 'c497')
    op.drop_column('vectors', 'c72')
    op.drop_column('vectors', 'c75')
    op.drop_column('vectors', 'c394')
    op.drop_column('vectors', 'c322')
    op.drop_column('vectors', 'c321')
    op.drop_column('vectors', 'c479')
    op.drop_column('vectors', 'c76')
    op.drop_column('vectors', 'c174')
    op.drop_column('vectors', 'c90')
    op.drop_column('vectors', 'c414')
    op.drop_column('vectors', 'c206')
    op.drop_column('vectors', 'c391')
    op.drop_column('vectors', 'c36')
    op.drop_column('vectors', 'c77')
    op.drop_column('vectors', 'c153')
    op.drop_column('vectors', 'c504')
    op.drop_column('vectors', 'c155')
    op.drop_column('vectors', 'c241')
    op.drop_column('vectors', 'c144')
    op.drop_column('vectors', 'c299')
    op.drop_column('vectors', 'c103')
    op.drop_column('vectors', 'c250')
    op.drop_column('vectors', 'c418')
    op.drop_column('vectors', 'c466')
    op.drop_column('vectors', 'c252')
    op.drop_column('vectors', 'c480')
    op.drop_column('vectors', 'c492')
    op.drop_column('vectors', 'c119')
    op.drop_column('vectors', 'c168')
    op.drop_column('vectors', 'c283')
    op.drop_column('vectors', 'c300')
    op.drop_column('vectors', 'c55')
    op.drop_column('vectors', 'c508')
    op.drop_column('vectors', 'c272')
    op.drop_column('vectors', 'c22')
    op.drop_column('vectors', 'c249')
    op.drop_column('vectors', 'c21')
    op.drop_column('vectors', 'c346')
    op.drop_column('vectors', 'c445')
    op.drop_column('vectors', 'c462')
    op.drop_column('vectors', 'c505')
    op.drop_column('vectors', 'c232')
    op.drop_column('vectors', 'c427')
    op.drop_column('vectors', 'c268')
    op.drop_column('vectors', 'c503')
    op.drop_column('vectors', 'c50')
    op.drop_column('vectors', 'c104')
    op.drop_column('vectors', 'c292')
    op.drop_column('vectors', 'c192')
    op.drop_column('vectors', 'c135')
    op.drop_column('vectors', 'c467')
    op.drop_column('vectors', 'c176')
    op.drop_column('vectors', 'c220')
    op.drop_column('vectors', 'c217')
    op.drop_column('vectors', 'c407')
    op.drop_column('vectors', 'c308')
    op.drop_column('vectors', 'c286')
    op.drop_column('vectors', 'c68')
    op.drop_column('vectors', 'c442')
    op.drop_column('vectors', 'c237')
    op.drop_column('vectors', 'c493')
    op.drop_column('vectors', 'c384')
    op.drop_column('vectors', 'c109')
    op.drop_column('vectors', 'c26')
    op.drop_column('vectors', 'c65')
    op.drop_column('vectors', 'c107')
    op.drop_column('vectors', 'c198')
    op.drop_column('vectors', 'c305')
    op.drop_column('vectors', 'c24')
    op.drop_column('vectors', 'c205')
    op.drop_column('vectors', 'c51')
    op.drop_column('vectors', 'c400')
    op.drop_column('vectors', 'c254')
    op.drop_column('vectors', 'c444')
    op.drop_column('vectors', 'c162')
    op.drop_column('vectors', 'c80')
    op.drop_column('vectors', 'c132')
    op.drop_column('vectors', 'c365')
    op.drop_column('vectors', 'c458')
    op.drop_column('vectors', 'c181')
    op.drop_column('vectors', 'c423')
    op.drop_column('vectors', 'c343')
    op.drop_column('vectors', 'c263')
    op.drop_column('vectors', 'c101')
    op.drop_column('vectors', 'c452')
    op.drop_column('vectors', 'c473')
    op.drop_column('vectors', 'c474')
    op.drop_column('vectors', 'c270')
    op.drop_column('vectors', 'c7')
    op.drop_column('vectors', 'c71')
    op.drop_column('vectors', 'c432')
    op.drop_column('vectors', 'c111')
    op.drop_column('vectors', 'c455')
    op.drop_column('vectors', 'c314')
    op.drop_column('vectors', 'c30')
    op.drop_column('vectors', 'c204')
    op.drop_column('vectors', 'c412')
    op.drop_column('vectors', 'c148')
    op.drop_column('vectors', 'c464')
    op.drop_column('vectors', 'c140')
    op.drop_column('vectors', 'c116')
    op.drop_column('vectors', 'c130')
    op.drop_column('vectors', 'c125')
    op.drop_column('vectors', 'c173')
    op.drop_column('vectors', 'c88')
    op.drop_column('vectors', 'c277')
    op.drop_column('vectors', 'c190')
    op.drop_column('vectors', 'c429')
    op.drop_column('vectors', 'c179')
    op.drop_column('vectors', 'c39')
    op.drop_column('vectors', 'c481')
    op.drop_column('vectors', 'c476')
    op.drop_column('vectors', 'c31')
    op.drop_column('vectors', 'c370')
    op.drop_column('vectors', 'c269')
    op.drop_column('vectors', 'c349')
    op.drop_column('vectors', 'c488')
    op.drop_column('vectors', 'c303')
    op.drop_column('vectors', 'c281')
    op.drop_column('vectors', 'c89')
    op.drop_column('vectors', 'c167')
    op.drop_column('vectors', 'c483')
    op.drop_column('vectors', 'c396')
    op.drop_column('vectors', 'c486')
    op.drop_column('vectors', 'c47')
    op.drop_column('vectors', 'c372')
    op.drop_column('vectors', 'c138')
    op.drop_column('vectors', 'c362')
    op.drop_column('vectors', 'c426')
    op.drop_column('vectors', 'c461')
    op.drop_column('vectors', 'c233')
    op.drop_column('vectors', 'c122')
    op.drop_column('vectors', 'c297')
    op.drop_column('vectors', 'c133')
    op.drop_column('vectors', 'c226')
    op.drop_column('vectors', 'c154')
    op.drop_column('vectors', 'c186')
    op.drop_column('vectors', 'c275')
    op.drop_column('vectors', 'c193')
    op.drop_column('vectors', 'c255')
    op.drop_column('vectors', 'c184')
    op.drop_column('vectors', 'c245')
    op.drop_column('vectors', 'c366')
    op.drop_column('vectors', 'c35')
    op.drop_column('vectors', 'c471')
    op.drop_column('vectors', 'c373')
    op.drop_column('vectors', 'c8')
    op.drop_column('vectors', 'c211')
    op.drop_column('vectors', 'c216')
    op.drop_column('vectors', 'c81')
    op.drop_column('vectors', 'c443')
    op.drop_column('vectors', 'c201')
    op.drop_column('vectors', 'c386')
    op.drop_column('vectors', 'c276')
    op.drop_column('vectors', 'c207')
    op.drop_column('vectors', 'c311')
    op.drop_column('vectors', 'c85')
    op.drop_column('vectors', 'c99')
    op.drop_column('vectors', 'c194')
    op.drop_column('vectors', 'c49')
    op.drop_column('vectors', 'c475')
    op.drop_column('vectors', 'c17')
    op.drop_column('vectors', 'c34')
    op.drop_column('vectors', 'c371')
    op.drop_column('vectors', 'c340')
    op.drop_column('vectors', 'c83')
    op.drop_column('vectors', 'c451')
    op.drop_column('vectors', 'c243')
    op.drop_column('vectors', 'c399')
    op.drop_column('vectors', 'c228')
    op.drop_column('vectors', 'c289')
    op.drop_column('vectors', 'c500')
    op.drop_column('vectors', 'c449')
    op.drop_column('vectors', 'c224')
    op.drop_column('vectors', 'c278')
    op.drop_column('vectors', 'c225')
    op.drop_column('vectors', 'c354')
    op.drop_column('vectors', 'c374')
    op.drop_column('vectors', 'c511')
    op.drop_column('vectors', 'c251')
    op.drop_column('vectors', 'c358')
    op.drop_column('vectors', 'c145')
    op.drop_column('vectors', 'c324')
    op.drop_column('vectors', 'c405')
    op.drop_column('vectors', 'c307')
    op.drop_column('vectors', 'c279')
    op.drop_column('vectors', 'c404')
    op.drop_column('vectors', 'c424')
    op.drop_column('vectors', 'c469')
    op.drop_column('vectors', 'c98')
    op.drop_column('vectors', 'c5')
    op.drop_column('vectors', 'c421')
    op.drop_column('vectors', 'c397')
    op.drop_column('vectors', 'c163')
    op.drop_column('vectors', 'c302')
    op.drop_column('vectors', 'c60')
    op.drop_column('vectors', 'c484')
    op.drop_column('vectors', 'c368')
    op.drop_column('vectors', 'c257')
    op.drop_column('vectors', 'c156')
    op.drop_column('vectors', 'c165')
    op.drop_column('vectors', 'c183')
    op.drop_column('vectors', 'c398')
    op.drop_column('vectors', 'c498')
    op.drop_column('vectors', 'c191')
    op.drop_column('vectors', 'c92')
    op.drop_column('vectors', 'c129')
    op.drop_column('vectors', 'c213')
    op.drop_column('vectors', 'c46')
    op.drop_column('vectors', 'c440')
    op.drop_column('vectors', 'c489')
    op.drop_column('vectors', 'c96')
    op.drop_column('vectors', 'c470')
    op.drop_column('vectors', 'c258')
    op.drop_column('vectors', 'c334')
    op.drop_column('vectors', 'c159')
    op.drop_column('vectors', 'c44')
    op.drop_column('vectors', 'c189')
    op.drop_column('vectors', 'c290')
    op.drop_column('vectors', 'c52')
    op.drop_column('vectors', 'c56')
    op.drop_column('vectors', 'c271')
    op.drop_column('vectors', 'c45')
    op.drop_column('vectors', 'c200')
    op.drop_column('vectors', 'c387')
    op.drop_column('vectors', 'c341')
    op.drop_column('vectors', 'c490')
    op.drop_column('vectors', 'c352')
    op.drop_column('vectors', 'c58')
    op.drop_column('vectors', 'c19')
    op.drop_column('vectors', 'c117')
    op.drop_column('vectors', 'c244')
    op.drop_column('vectors', 'c64')
    op.drop_column('vectors', 'c460')
    op.drop_column('vectors', 'c238')
    op.drop_column('vectors', 'c126')
    op.drop_column('vectors', 'c403')
    op.drop_column('vectors', 'c253')
    op.drop_column('vectors', 'c57')
    op.drop_column('vectors', 'c67')
    op.drop_column('vectors', 'c428')
    op.drop_column('vectors', 'c74')
    op.drop_column('vectors', 'c33')
    op.drop_column('vectors', 'c84')
    op.drop_column('vectors', 'c360')
    op.drop_column('vectors', 'c485')
    op.drop_column('vectors', 'c496')
    op.drop_column('vectors', 'c296')
    op.drop_column('vectors', 'c54')
    op.drop_column('vectors', 'c293')
    op.drop_column('vectors', 'c23')
    op.drop_column('vectors', 'c127')
    op.drop_column('vectors', 'c326')
    op.drop_column('vectors', 'c377')
    op.drop_column('vectors', 'c112')
    op.drop_column('vectors', 'c128')
    op.drop_column('vectors', 'c197')
    op.drop_column('vectors', 'c437')
    op.drop_column('vectors', 'c108')
    op.drop_column('vectors', 'c287')
    op.drop_column('vectors', 'c420')
    op.drop_column('vectors', 'c131')
    op.drop_column('vectors', 'c209')
    op.drop_column('vectors', 'c355')
    op.drop_column('vectors', 'c401')
    op.drop_column('vectors', 'c235')
    op.drop_column('vectors', 'c382')
    op.drop_column('vectors', 'c160')
    op.drop_column('vectors', 'c318')
    op.drop_column('vectors', 'c422')
    op.drop_column('vectors', 'c364')
    op.drop_column('vectors', 'c188')
    op.drop_column('vectors', 'c332')
    op.drop_column('vectors', 'c304')
    op.drop_column('vectors', 'c450')
    op.drop_column('vectors', 'c48')
    op.drop_column('vectors', 'c337')
    op.drop_column('vectors', 'c13')
    op.drop_column('vectors', 'c433')
    op.drop_column('vectors', 'c11')
    op.drop_column('vectors', 'c151')
    op.drop_column('vectors', 'c1')
    op.drop_column('vectors', 'c393')
    op.drop_column('vectors', 'c146')
    op.drop_column('vectors', 'c147')
    op.drop_column('vectors', 'c487')
    op.drop_column('vectors', 'c195')
    op.drop_column('vectors', 'c219')
    op.drop_column('vectors', 'c406')
    op.drop_column('vectors', 'c240')
    op.drop_column('vectors', 'c456')
    op.drop_column('vectors', 'c236')
    op.drop_column('vectors', 'c18')
    op.drop_column('vectors', 'c32')
    op.drop_column('vectors', 'c448')
    op.drop_column('vectors', 'c143')
    op.drop_column('vectors', 'c86')
    op.drop_column('vectors', 'c141')
    op.drop_column('vectors', 'c150')
    op.drop_column('vectors', 'c203')
    op.drop_column('vectors', 'c472')
    op.drop_column('vectors', 'c114')
    op.drop_column('vectors', 'c436')
    op.drop_column('vectors', 'c506')
    op.drop_column('vectors', 'c306')
    op.drop_column('vectors', 'c392')
    op.drop_column('vectors', 'c91')
    op.drop_column('vectors', 'c325')
    op.drop_column('vectors', 'c361')
    op.drop_column('vectors', 'c164')
    op.drop_column('vectors', 'c408')
    op.drop_column('vectors', 'c106')
    op.drop_column('vectors', 'c118')
    op.drop_column('vectors', 'c284')
    op.drop_column('vectors', 'c93')
    op.drop_column('vectors', 'c315')
    op.drop_column('vectors', 'c353')
    op.drop_column('vectors', 'c178')
    op.drop_column('vectors', 'c78')
    op.drop_column('vectors', 'c502')
    op.drop_column('vectors', 'c389')
    op.drop_column('vectors', 'c310')
    op.drop_column('vectors', 'c40')
    op.drop_column('vectors', 'c416')
    op.drop_column('vectors', 'c102')
    op.drop_column('vectors', 'c10')
    op.drop_column('vectors', 'c210')
    op.drop_column('vectors', 'c345')
    op.drop_column('vectors', 'c439')
    op.drop_column('vectors', 'c267')
    op.drop_column('vectors', 'c110')
    op.drop_column('vectors', 'c316')
    op.drop_column('vectors', 'c499')
    op.drop_column('vectors', 'c246')
    op.drop_column('vectors', 'c175')
    op.drop_column('vectors', 'c105')
    op.drop_column('vectors', 'c161')
    op.drop_column('vectors', 'c63')
    op.drop_column('vectors', 'c169')
    op.drop_column('vectors', 'c320')
    op.drop_column('vectors', 'c410')
    op.drop_column('vectors', 'c350')
    op.drop_column('vectors', 'c215')
    op.drop_column('vectors', 'c411')
    op.drop_column('vectors', 'c66')
    op.drop_column('vectors', 'c282')
    op.drop_column('vectors', 'c431')
    op.drop_column('vectors', 'c453')
    op.drop_column('vectors', 'c463')
    op.drop_column('vectors', 'c134')
    op.drop_column('vectors', 'c61')
    op.drop_column('vectors', 'c2')
    op.drop_column('vectors', 'c15')
    op.drop_column('vectors', 'c262')
    op.drop_column('vectors', 'c351')
    op.drop_column('vectors', 'c87')
    op.drop_column('vectors', 'c419')
    op.drop_column('vectors', 'c291')
    op.drop_column('vectors', 'c218')
    op.drop_column('vectors', 'c435')
    op.drop_column('vectors', 'c97')
    op.drop_column('vectors', 'c27')
    op.drop_column('vectors', 'c248')
    op.drop_column('vectors', 'c260')
    op.drop_column('vectors', 'c425')
    op.drop_column('vectors', 'c214')
    op.drop_column('vectors', 'c274')
    op.drop_column('vectors', 'c323')
    op.drop_column('vectors', 'c172')
    op.drop_column('vectors', 'c329')
    op.drop_column('vectors', 'c187')
    op.drop_column('vectors', 'c234')
    op.drop_column('vectors', 'c367')
    op.drop_column('vectors', 'c170')
    op.drop_column('vectors', 'c288')
    op.drop_column('vectors', 'c28')
    op.drop_column('vectors', 'c212')
    op.drop_column('vectors', 'c9')
    op.drop_column('vectors', 'c482')
    op.drop_column('vectors', 'c14')
    op.drop_column('vectors', 'c369')
    op.drop_column('vectors', 'c239')
    op.drop_column('vectors', 'c413')
    op.drop_column('vectors', 'c430')
    op.drop_column('vectors', 'c264')
    op.drop_column('vectors', 'c182')
    op.drop_column('vectors', 'c41')
    op.drop_column('vectors', 'c73')
    op.drop_column('vectors', 'c12')
    op.drop_column('vectors', 'c376')
    op.drop_column('vectors', 'c478')
    op.drop_column('vectors', 'c447')
    op.drop_column('vectors', 'c342')
    op.drop_column('vectors', 'c231')
    op.drop_column('vectors', 'c465')
    op.drop_column('vectors', 'c309')
    op.drop_column('vectors', 'c16')
    op.drop_column('vectors', 'c313')
    op.drop_column('vectors', 'c38')
    op.drop_column('vectors', 'c338')
    op.drop_column('vectors', 'c317')
    op.drop_column('vectors', 'c356')
    op.drop_column('vectors', 'c94')
    op.drop_column('vectors', 'c180')
    op.drop_column('vectors', 'c330')
    op.drop_column('vectors', 'c25')
    op.drop_column('vectors', 'c509')
    op.drop_column('vectors', 'c202')
    op.drop_column('vectors', 'c70')
    op.drop_column('vectors', 'c357')
    op.drop_column('vectors', 'c137')
    op.drop_column('vectors', 'c230')
    op.drop_column('vectors', 'c379')
    op.drop_column('vectors', 'c221')
    op.drop_column('vectors', 'c285')
    op.drop_column('vectors', 'c265')
    op.drop_column('vectors', 'c312')
    op.drop_column('vectors', 'c208')
    op.drop_column('vectors', 'c359')
    op.drop_column('vectors', 'c294')
    op.drop_column('vectors', 'c171')
    op.drop_column('vectors', 'c37')
    op.drop_column('vectors', 'c388')
    op.drop_column('vectors', 'c82')
    op.drop_column('vectors', 'c0')
    op.drop_column('vectors', 'c381')
    op.drop_column('vectors', 'c157')
    op.drop_column('vectors', 'c152')
    op.drop_column('vectors', 'c333')
    op.drop_column('vectors', 'c395')
    op.drop_column('vectors', 'c113')
    op.drop_column('vectors', 'c378')
    op.drop_column('vectors', 'c166')
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('vectors',
                  sa.Column('c166', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c378', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c113', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c395', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c333', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c152', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c157', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c381', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c0', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c82', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c388', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c37', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c171', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c294', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c359', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c208', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c312', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c265', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c285', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c221', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c379', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c230', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c137', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c357', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c70', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c202', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c509', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c25', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c330', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c180', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c94', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c356', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c317', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c338', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c38', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c313', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c16', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c309', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c465', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c231', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c342', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c447', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c478', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c376', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c12', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c73', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c41', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c182', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c264', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c430', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c413', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c239', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c369', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c14', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c482', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c9', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c212', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c28', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c288', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c170', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c367', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c234', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c187', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c329', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c172', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c323', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c274', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c214', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c425', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c260', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c248', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c27', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c97', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c435', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c218', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c291', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c419', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c87', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c351', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c262', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c15', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c2', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c61', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c134', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c463', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c453', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c431', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c282', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c66', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c411', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c215', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c350', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c410', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c320', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c169', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c63', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c161', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c105', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c175', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c246', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c499', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c316', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c110', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c267', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c439', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c345', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c210', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c10', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c102', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c416', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c40', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c310', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c389', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c502', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c78', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c178', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c353', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c315', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c93', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c284', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c118', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c106', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c408', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c164', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c361', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c325', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c91', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c392', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c306', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c506', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c436', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c114', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c472', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c203', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c150', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c141', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c86', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c143', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c448', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c32', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c18', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c236', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c456', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c240', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c406', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c219', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c195', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c487', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c147', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c146', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c393', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c1', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c151', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c11', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c433', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c13', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c337', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c48', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c450', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c304', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c332', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c188', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c364', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c422', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c318', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c160', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c382', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c235', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c401', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c355', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c209', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c131', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c420', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c287', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c108', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c437', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c197', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c128', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c112', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c377', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c326', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c127', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c23', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c293', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c54', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c296', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c496', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c485', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c360', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c84', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c33', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c74', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c428', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c67', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c57', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c253', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c403', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c126', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c238', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c460', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c64', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c244', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c117', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c19', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c58', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c352', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c490', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c341', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c387', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c200', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c45', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c271', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c56', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c52', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c290', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c189', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c44', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c159', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c334', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c258', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c470', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c96', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c489', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c440', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c46', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c213', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c129', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c92', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c191', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c498', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c398', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c183', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c165', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c156', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c257', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c368', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c484', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c60', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c302', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c163', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c397', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c421', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c5', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c98', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c469', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c424', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c404', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c279', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c307', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c405', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c324', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c145', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c358', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c251', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c511', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c374', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c354', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c225', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c278', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c224', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c449', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c500', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c289', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c228', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c399', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c243', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c451', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c83', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c340', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c371', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c34', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c17', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c475', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c49', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c194', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c99', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c85', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c311', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c207', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c276', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c386', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c201', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c443', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c81', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c216', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c211', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c8', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c373', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c471', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c35', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c366', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c245', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c184', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c255', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c193', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c275', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c186', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c154', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c226', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c133', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c297', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c122', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c233', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c461', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c426', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c362', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c138', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c372', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c47', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c486', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c396', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c483', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c167', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c89', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c281', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c303', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c488', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c349', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c269', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c370', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c31', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c476', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c481', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c39', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c179', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c429', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c190', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c277', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c88', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c173', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c125', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c130', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c116', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c140', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c464', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c148', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c412', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c204', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c30', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c314', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c455', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c111', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c432', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c71', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c7', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c270', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c474', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c473', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c452', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c101', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c263', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c343', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c423', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c181', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c458', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c365', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c132', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c80', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c162', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c444', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c254', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c400', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c51', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c205', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c24', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c305', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c198', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c107', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c65', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c26', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c109', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c384', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c493', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c237', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c442', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c68', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c286', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c308', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c407', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c217', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c220', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c176', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c467', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c135', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c192', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c292', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c104', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c50', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c503', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c268', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c427', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c232', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c505', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c462', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c445', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c346', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c21', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c249', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c22', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c272', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c508', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c55', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c300', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c283', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c168', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c119', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c492', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c480', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c252', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c466', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c418', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c250', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c103', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c299', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c144', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c241', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c155', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c504', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c153', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c77', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c36', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c391', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c206', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c414', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c90', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c174', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c76', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c479', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c321', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c322', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c394', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c75', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c72', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c497', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c158', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c438', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c477', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c459', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c139', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c185', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c43', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c501', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c507', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c20', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c339', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c29', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c298', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c62', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c344', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c261', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c454', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c136', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c273', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c42', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c327', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c280', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c494', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c415', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c409', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c229', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c95', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c402', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c336', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c222', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c441', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c121', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c331', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c256', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c120', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c335', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c468', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c149', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c247', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c434', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c390', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c142', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c347', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c328', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c295', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c53', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c242', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c196', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c375', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c115', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c177', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c199', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c385', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c4', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c380', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c223', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c79', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c495', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c510', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c319', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c227', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c446', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c348', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c123', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c491', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c259', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c100', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c417', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c124', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c69', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c59', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c6', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c266', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c383', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c3', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c363', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c457', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.add_column('vectors',
                  sa.Column('c301', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False))
    op.drop_index(op.f('ix_vectors_status'), table_name='vectors')
    op.drop_index(op.f('ix_vectors_coords'), table_name='vectors')
    op.drop_column('vectors', 'coords')
    # ### end Alembic commands ###
